FROM ubuntu:xenial

MAINTAINER Artemis Tomaras <tomaras@synelixis.com>

RUN apt-get update && \
    apt-get install -y build-essential software-properties-common supervisor ntp git curl nodejs-legacy npm

RUN add-apt-repository -y ppa:ethereum/ethereum && \
    apt-get update && \
    apt-get install -y ethereum

RUN npm install -g bower

RUN mkdir /opt/ethereum

COPY ./run.sh .
COPY ./genesis.json /opt/ethereum
COPY ./geth-supervisor.conf /etc/supervisor/conf.d/
COPY ./accounts /opt/ethereum

RUN geth init --datadir /opt/ethereum /opt/ethereum/genesis.json

ENV bootnodeId=""
ENV bootnodeIp=""
CMD ["bash", "run.sh"]

EXPOSE 8000
EXPOSE 8545
EXPOSE 30303
